Skip to content

Call Assignment Configurations

Operations Summary

Method Endpoint Description
GET /api/call-assignment-configurations/ List Call Assignment Configurations
GET /api/call-assignment-configurations/{uuid}/ Retrieve
POST /api/call-assignment-configurations/ Create
PUT /api/call-assignment-configurations/{uuid}/ Update
PATCH /api/call-assignment-configurations/{uuid}/ Partial Update
DELETE /api/call-assignment-configurations/{uuid}/ Delete

List Call Assignment Configurations

1
2
3
4
http \
  GET \
  https://api.example.com/api/call-assignment-configurations/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_list # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = call_assignment_configurations_list.sync(client=client)

for item in response:
    print(item)
  1. API Source: call_assignment_configurations_list
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { callAssignmentConfigurationsList } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsList({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Description
page integer A page number within the paginated result set.
page_size integer Number of results to return per page.

200 -

The response body is an array of objects, where each object has the following structure:

Field Type Description
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.
created string (date-time)
modified string (date-time)

Retrieve

1
2
3
4
http \
  GET \
  https://api.example.com/api/call-assignment-configurations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_retrieve # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = call_assignment_configurations_retrieve.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: call_assignment_configurations_retrieve
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { callAssignmentConfigurationsRetrieve } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsRetrieve({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

200 -

Field Type Description
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.
created string (date-time)
modified string (date-time)

Create

1
2
3
4
http \
  POST \
  https://api.example.com/api/call-assignment-configurations/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.call_assignment_configuration_request import CallAssignmentConfigurationRequest # (1)
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_create # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = CallAssignmentConfigurationRequest()
response = call_assignment_configurations_create.sync(
    client=client,
    body=body_data
)

print(response)
  1. Model Source: CallAssignmentConfigurationRequest
  2. API Source: call_assignment_configurations_create
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
import { callAssignmentConfigurationsCreate } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsCreate({
  auth: "Token YOUR_API_TOKEN"
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Field Type Required Description
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.

201 -

Field Type Description
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.
created string (date-time)
modified string (date-time)

Update

1
2
3
4
http \
  PUT \
  https://api.example.com/api/call-assignment-configurations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.call_assignment_configuration_request import CallAssignmentConfigurationRequest # (1)
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = CallAssignmentConfigurationRequest()
response = call_assignment_configurations_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: CallAssignmentConfigurationRequest
  2. API Source: call_assignment_configurations_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { callAssignmentConfigurationsUpdate } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.

200 -

Field Type Description
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.
created string (date-time)
modified string (date-time)

Partial Update

1
2
3
4
http \
  PATCH \
  https://api.example.com/api/call-assignment-configurations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.models.patched_call_assignment_configuration_request import PatchedCallAssignmentConfigurationRequest # (1)
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_partial_update # (2)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)

body_data = PatchedCallAssignmentConfigurationRequest()
response = call_assignment_configurations_partial_update.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client,
    body=body_data
)

print(response)
  1. Model Source: PatchedCallAssignmentConfigurationRequest
  2. API Source: call_assignment_configurations_partial_update
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { callAssignmentConfigurationsPartialUpdate } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsPartialUpdate({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)
Field Type Required Description
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.

200 -

Field Type Description
uuid string (uuid)
call string (uri)
call_uuid string (uuid)
call_name string
auto_reassign_on_decline boolean Automatically assign next-best reviewer when someone declines. If False, manager must manually approve reassignments.
max_auto_reassign_attempts integer Maximum automatic reassignment attempts before requiring manual intervention.
assignment_expiration_days integer Days until assignment invitation expires if not responded to.
send_reminder_before_expiry_days integer Days before expiry to send reminder notification.
created string (date-time)
modified string (date-time)

Delete

1
2
3
4
http \
  DELETE \
  https://api.example.com/api/call-assignment-configurations/a1b2c3d4-e5f6-7890-abcd-ef1234567890/ \
  Authorization:"Token YOUR_API_TOKEN"
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.call_assignment_configurations import call_assignment_configurations_destroy # (1)

client = AuthenticatedClient(
    base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = call_assignment_configurations_destroy.sync(
    uuid="a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    client=client
)

print(response)
  1. API Source: call_assignment_configurations_destroy
 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
import { callAssignmentConfigurationsDestroy } from 'waldur-js-client';

try {
  const response = await callAssignmentConfigurationsDestroy({
  auth: "Token YOUR_API_TOKEN",
  path: {
    "uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
  }
});
  console.log('Success:', response);
} catch (error) {
  console.error('Error:', error);
}
Name Type Required
uuid string (uuid)

204 - No response body